## cookiecutter 2.6.0

=== Makefile ===
PYPI_SERVER = pypitest

define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

.DEFAULT_GOAL := help


.PHONY: clean-tox
clean-tox: ## Remove tox testing artifacts
	@echo "+ $@"
	@rm -rf .tox/

.PHONY: clean-coverage
clean-coverage: ## Remove coverage reports
	@echo "+ $@"
	@rm -rf htmlcov/
	@rm -rf .coverage
	@rm -rf coverage.xml

.PHONY: clean-pytest
clean-pytest: ## Remove pytest cache
	@echo "+ $@"
	@rm -rf .pytest_cache/

.PHONY: clean-docs-build
clean-docs-build: ## Remove local docs
	@echo "+ $@"
	@rm -rf docs/_build

.PHONY: clean-build
clean-build: ## Remove build artifacts
	@echo "+ $@"
	@rm -fr build/
	@rm -fr dist/
	@rm -fr *.egg-info

.PHONY: clean-pyc
clean-pyc: ## Remove Python file artifacts
	@echo "+ $@"
	@find . -type d -name '__pycache__' -exec rm -rf {} +
	@find . -type f -name '*.py[co]' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +

.PHONY: clean ## Remove all file artifacts
clean: clean-build clean-pyc clean-tox clean-coverage clean-pytest clean-docs-build

.PHONY: lint
lint: ## Check code style
	@echo "+ $@"
	@tox -e lint

.PHONY: test
test: ## Run tests quickly with the default Python
	@echo "+ $@"
	@tox -e py310

.PHONY: test-all
test-all: ## Run tests on every Python version
	@echo "+ $@"
	@tox

.PHONY: coverage
coverage: ## Check code coverage quickly with the default Python
	@echo "+ $@"
	@tox -e py310
	@$(BROWSER) htmlcov/index.html

.PHONY: docs
docs: ## Generate Sphinx HTML documentation, including API docs
	@echo "+ $@"
	@tox -e docs
	@$(BROWSER) docs/_build/html/index.html

.PHONY: servedocs
servedocs: ## Rebuild docs automatically
	@echo "+ $@"
	@tox -e servedocs

.PHONY: submodules
submodules: ## Pull and update git submodules recursively
	@echo "+ $@"
	@git pull --recurse-submodules
	@git submodule update --init --recursive

.PHONY: release
release: clean ## Package and upload release
	@echo "+ $@"
	@python -m build
	@twine upload -r $(PYPI_SERVER) dist/*

.PHONY: sdist
sdist: clean ## Build sdist distribution
	@echo "+ $@"
	@python -m build --sdist
	@ls -l dist

.PHONY: wheel
wheel: clean ## Build wheel distribution
	@echo "+ $@"
	@python -m build --wheel
	@ls -l dist

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-16s\033[0m %s\n", $$1, $$2}'

=== docs/requirements.txt ===
sphinx-rtd-theme>=1.0.0
sphinx-click>=4.1.0
myst-parser>=0.17.2
sphinx-autobuild>=2021.3.14
Sphinx>=4.5.0
sphinxcontrib-apidoc>=0.3.0
sphinx-autodoc-typehints>=1.18.2

=== tests/test-templates/no-templates/{{cookiecutter.project_slug}}/requirements.txt ===
pip
{% if cookiecutter.command_line_interface|lower == 'click' -%}
Click{% endif %}
{% if cookiecutter.use_pytest == 'y' -%}
pytest{% endif %}

=== tests/test-templates/super/{{cookiecutter.project_slug}}/requirements.txt ===
{% extends "base-requirements.jinja" %}
{% block dev_dependencies %}{{ super() }}{% endblock %}

=== debian/changelog ===
cookiecutter (2.6.0-1) unstable; urgency=medium

  * Team Upload.

  [ Alexandre Detiste ]
  * New upstream version 2.5.0 (Closes: #1040040, #1013279)
  * update watch file for new GitHub API
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no
  * d/patches:
    * refresh 0001-Don-t-test-for-.DS_Store
    * remove 0002-Use-PyYAML-instead-of-poyo, merged upstream
    * redo 0003-Remove-all-privacy-breach-images-from-documentation
    * disable 0004-Fix-relative-path-that-come-from-Jinja2
  * build-dependencies:
    * remove python3-mock
    * remove python3-recommonmark
    * add python3-arrow
    * add python3-rich
    * add python3-sphinx-click
    * add python3-myst-parser
    * add python3-sphinx-autodoc-typehints
  * disable test_generate_file_does_not_translate_crlf_newlines_to_lf
  * mark python-cookiecutter-doc 'Multi-Arch: foreign'
  * bump Standards Version to 4.6.2, no further change needed

  [ Emmanuel Arias ]
  * d/salsa-ci.yml: Ensable salsa-ci.
  * d/patches/0004-Fix-relative-path-that-come-from-Jinja2.patch:
     Add Bug-Debian variable to the patch to follow DEP-3.

  [ Andreas Tille ]
  * Real team maintenance in DPT (with permission in
    https://lists.debian.org/debian-python/2024/02/msg00072.html)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove field Testsuite on binary packages cookiecutter,
    python-cookiecutter-doc that duplicates source.
  * Add upstream metadata
  * Build-Depends: python3-sphinxcontrib.apidoc

 -- Andreas Tille <tille@debian.org>  Wed, 28 Feb 2024 11:26:16 +0100

=== debian/control ===
Source: cookiecutter
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               git,
               python3-all,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-sphinx-autodoc-typehints,
               python3-sphinx-click,
               python3-sphinxcontrib.apidoc,
               python3-setuptools,
               python3-jinja2,
               python3-jinja2-time,
               python3-binaryornot,
               python3-yaml,
               python3-pytest,
               python3-pytest-mock,
               python3-pytest-cov,
               python3-click,
               python3-freezegun,
               python3-requests,
               python3-slugify,
               python3-arrow,
               python3-rich,
               python3-myst-parser
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/cookiecutter
Vcs-Git: https://salsa.debian.org/python-team/packages/cookiecutter.git
Homepage: https://github.com/cookiecutter/cookiecutter
Rules-Requires-Root: no

Package: cookiecutter
Architecture: all
Section: devel
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-cookiecutter (= ${binary:Version})
Suggests: python-cookiecutter-doc
Description: create projects from project templates
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).

Package: python3-cookiecutter
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-ruamel.yaml
Suggests: python-cookiecutter-doc
Description: create projects from project templates (Python 3 module)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the Python 3 module.

Package: python-cookiecutter-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: cookiecutter
Description: create projects from project templates (documentation)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_NAME=cookiecutter
export PYBUILD_TEST_PYTEST=1
export LC_ALL=C.UTF-8
export DISABLE_NETWORK_TESTS=1
export PYBUILD_TEST_ARGS=-k 'not test_generate_file_does_not_translate_crlf_newlines_to_lf'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ \
		debian/python-cookiecutter-doc/usr/share/doc/python-cookiecutter-doc/html/

override_dh_auto_clean:
	dh_auto_clean
	find . \( -name '*.py[co]' -or -name '\._*' -or -name '\.DS_Store' \) -delete

override_dh_install:
	dh_install
	# Move cookiecutter executable in its dedicated package
	mkdir -p debian/cookiecutter/usr
	mv debian/python3-cookiecutter/usr/bin debian/cookiecutter/usr/.
	rm -rf debian/python3-cookiecutter/usr/bin
	# Remove coverage files
	rm debian/python*-cookiecutter/usr/lib/python*/dist-packages/.coverage

=== debian/watch ===
version=4
opts=filenamemangle=s/v?(\d\S*)\.tar\.gz/cookiecutter-$1.tar.gz/ \
  https://github.com/cookiecutter/cookiecutter/tags .*/v?(\d\S*)\.tar\.gz
